Redmine - Feature #6954

Filter from date to date
2010-11-22 10:04 - Andrea Saccavini

Status: Closed Start date: 2010-11-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed

Description

It is essential for my work the possibility of filtering issues from date to date using a calendar tooltip.
| will try to make a patch but it is not so simple.
There are two issues related with this: 4502 and 4729

Related issues:

Related to Redmine - Patch #4502: New date filter operators: tomorrow, next w... Closed 2009-12-29
Related to Redmine - Feature #4729: Add Date-Based Filters for Issues List Closed 2010-02-03
Has duplicate Redmine - Feature #3110: Filter on date range (eg. Created and ... Closed 2009-04-02
Is duplicate of Redmine - Feature #2531: "Within period" query filters for da... Closed 2009-01-19
Has duplicate Redmine - Feature #4395: Issue date filters with fixed values Closed 2009-12-14
Has duplicate Redmine - Feature #363: Browse issues in period between dates Closed

Associated revisions

Revision 6226 - 2011-07-10 19:29 - Jean-Philippe Lang
Adds date based filters (#4729) and date range filter (#6954).

History

#1 - 2010-11-23 14:56 - Paolo Sulprizio
It could be resolved by #1140

#2 - 2010-11-23 20:33 - Andrea Saccavini
This is not the solution. | need a filter from date to date and not x number of days from today as you can do with the actual filter capabilities.

It is an essential filter requirement and it is a surprise that is not yet implemented.

#3 - 2011-03-14 09:38 - Andrea Saccavini

- Status changed from New to Resolved

Resolved with an excellent plugin: redmine_extra_query_operators

#4 - 2011-03-14 09:45 - Etienne Massip

- Status changed from Resolved to New
#5 - 2011-04-07 20:55 - Cassiano Monteiro
+1!

| vote for this feature too!

#6 - 2011-04-08 08:59 - Etienne Massip

- Target version set to Candidate for next major release

#7 - 2011-07-10 13:35 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.3.0

#8 - 2011-07-10 19:33 - Jean-Philippe Lang
- File date_range_filter.png added
https://www.redmine.org/issues/1140
http://www.redmine.org/plugins/redmine_extra_query_operators

- Status changed from New to Closed

- Resolution set to Fixed
Added in r6226:

Issues

# Filters
Status open -
Created between - 2011-07-01 & 2011-07-08 &

Files

date_range_filter.png 6.1 KB 2011-07-10 Jean-Philippe Lang
